package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class TeacherCourseStatisticsQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "机构编号")
    private String organId;

    @ApiModelProperty(value = "教师编号")
    private Integer userId;

    @ApiModelProperty(value = "月份")
    private String monthStr;

    @ApiModelProperty(value = "月份")
    private Date month;

    @ApiModelProperty(value = "最小课酬")
    private BigDecimal minSalary;

    @ApiModelProperty(value = "最大课酬")
    private BigDecimal maxSalary;

    @ApiModelProperty(value = "是否预警")
    private Integer lowSalary;

    public Integer getLowSalary() {
        return lowSalary;
    }

    public void setLowSalary(Integer lowSalary) {
        this.lowSalary = lowSalary;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getMonthStr() {
        return monthStr;
    }

    public void setMonthStr(String monthStr) {
        this.monthStr = monthStr;
    }

    public Date getMonth() {
        return month;
    }

    public void setMonth(Date month) {
        this.month = month;
    }

    public BigDecimal getMinSalary() {
        return minSalary;
    }

    public void setMinSalary(BigDecimal minSalary) {
        this.minSalary = minSalary;
    }

    public BigDecimal getMaxSalary() {
        return maxSalary;
    }

    public void setMaxSalary(BigDecimal maxSalary) {
        this.maxSalary = maxSalary;
    }
}
